Subject: Re: [MOBILE-IP] RFC2002bis

From: Alper Yegin <[email-masked]>
Date: Mon, 10 Apr 2000 12:43:32 -0700

Hi Charlie,

Sorry for this late reply, somehow I missed your e-mail.

> Regarding the following text:
>
> > The host specific route to MN shouldn't be available to any packets
> > other than the ones arriving to FA on the tunnel configured for this MN.
> > This requires forwarding based on not only destination address but also
> > incoming interface. Without this, there's the problem of getting HA out
> > of the loop, and in the case of MN moving another site, host specific
> > route will not go away until previous FA expires the registration,
> > and until then any communication going through this FA will be
> > interrupted.
>
> I can't include this, because it would totally break
> route optimization.

Charlie, I couldn't see how this would break route optimization. Whether a
packet is tunnelled by HA or a CN, it should arrive at the same tunnel end point
(pseudo interface), unless we create a new tunnel end point on FA for every CN
(this shouldn't be the case). And any tunneled packet arriving at this interface
is welcome to use the host specific route to MN.

Also later, when previous FA receives Previous FA Notification, it should clear
this host specific route anyways. So, it wouldn't be a problem afterwards.

>  I did clarify that the foreign agent
> MUST NOT advertise routes to the mobile node.

Yes, but that doesn't prevent some traffic between CNs and MN to pass through
FA.

>
> Is there something more that I should say that would not
> break route optimization?  The discussion about FAs sending
> gratuitous ARPs is interesting, but I can't put that into
> RFC 2002bis unless there is more demand for that from more
> people in the working group.
>
> Regards,
> Charlie P.

Thanks and sorry about late reply again.

alper